SIMPLER_ANIMAL_SETUP("eeveept", "TEST", "UPPP", "FALL", "PEEN", "HANG", "SLEP") -- Initiate character and custom Sprite2s.

local helpers = _G["SIMPLER_ANIMAL_HELPERS"]

function SIMPLER_ANIMAL_HOOKS.junio_sonic_hook(mobj)
  if helpers.getSkin(mobj) == "eeveept"
    local player = helpers.getPlayer(mobj)   
	
	if mobj.sprite2 == SPR2_GOAL then return
	elseif (mobj.sprite2 == SPR2_SPIN or mobj.sprite2 == SPR2_DEAD) then return
   // elseif mobj.sprite2 == SPR2_STIL then return "STIN", A, A, A -- https://git.do.srb2.org/KartKrew/RingRacers/-/issues/151  
    elseif player.spindash then return "PEEN", A, A, D -- Spindash, start at A, loop back to A after C.
   	elseif player.laps == 0 and not helpers.isMovingForward(mobj) and not helpers.isMovingBackward(mobj)
      return "SLEP", A
    elseif player.rideroid then return "PEEN", A, A, D
    elseif player.pullup then return "TEST", A
    elseif player.dlzrocket then return "PEEN", A, A, D
    elseif player.whip then
      helpers.SquaredSlow(mobj, -1) -- Slow this animation according to player speed.
      return "PEEN", A, A, D
    elseif player.fastfall then
      helpers.SquaredSlow(mobj, -1)
      return "FALL", A
	elseif helpers.isTricking(mobj) then
      helpers.SquaredSlow(mobj, -1)
      return "PEEN", A, A, D
	elseif player.respawn.timer then
      helpers.SquaredSlow(mobj, -1)
      return "HANG", A, A, C
    elseif helpers.isAirborne(mobj)
      helpers.SquaredSlow(mobj, -1)
      if abs(mobj.momz) <= FRACUNIT then return "STIN", A, A, A -- Roll to transition between air states, it's cute.
      elseif helpers.isAscending(mobj) then return "UPPP", A, A, A
      else return "FALL", A, A, A end   
    end
  end
end 
    
  /*  if mobj.sprite2 == SPR2_GOAL then return
	elseif (mobj.sprite2 == SPR2_SPIN or mobj.sprite2 == SPR2_DEAD) then return
    elseif mobj.sprite2 == SPR2_STIL then return "STIN", A, A, A -- https://git.do.srb2.org/KartKrew/RingRacers/-/issues/151
    elseif player.spindash then return "SPDA", A, A, C -- Spindash, start at A, loop back to A after C.
    elseif player.rideroid then return "RIDE", A, A, A
    elseif player.pullup then return "RIDE", A, A, A
    elseif player.dlzrocket then return "DASH", A, A, B
    elseif player.whip then
      helpers.SquaredSlow(mobj, -1) -- Slow this animation according to player speed.
      return "ROLL", A, A, D
    elseif player.respawn.timer or helpers.isTricking(mobj) or player.fastfall then
      helpers.SquaredSlow(mobj, -1)
      return "ROLL", A, A, D
    elseif helpers.isAirborne(mobj)
      helpers.SquaredSlow(mobj, -1)
      if abs(mobj.momz) <= FRACUNIT then return "ROLL", A, A, D -- Roll to transition between air states, it's cute.
      elseif helpers.isAscending(mobj) then return "SPNG", A, A, A
      else return "FALL", A, A, B end
    elseif mobj.sprite2 == SPR2_SLWN
      if helpers.isMovingForward(mobj) then
        helpers.SquaredSlow(mobj, -1)
        return "SLWN", A, A, H
      else -- Moving sideways/backwards.
        if (player.cmd.buttons & BT_ACCELERATE) and abs(player.speed) > FRACUNIT
          helpers.SquaredSlow(mobj, -1)
          return "EDGE", A, A, B
        else
          helpers.SquaredSlow(mobj, 1)
          return "SLWN", H, H, A
        end
      end
    elseif mobj.sprite2 == SPR2_DRLN or mobj.sprite2 == SPR2_DRRN -- Slowable drift.
      helpers.SquaredSlow(mobj, -1)
      return "DRLN", A, A, C
    elseif player.laps == 0 and mobj.state == S_KART_STILL
      helpers.SquaredSlow(mobj, -1)
      return "WAIT", A, A, B
    end
  end
end */